Subject: bug#78356: Broken system and home containers

From: Rutherther <[email-masked]>
Date: Tue, 13 May 2025 19:33:03 +0200

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Rutherther <[email-masked]> skribis:
>
>>> ./target/guix/bin/guix home container -L ./home/modules ./home/home-configuration.scm 
>> guix home: warning: failed to load '(ruther home channels-emacs)':
>> no code for module (ruther home channels-emacs)
>> ruther/home/channels-emacs.scm:1:0: warning: module name (channels) does not match file name 'ruther/home/channels-emacs.scm'
>> hint: File `./home/modules/ruther/home/channels-emacs.scm' should probably start with:
>>
>>      (define-module (ruther home channels-emacs))
>>
>> guix home: warning: ambiguous package specification `font-ubuntu'
>> guix home: warning: choosing [email-masked] from ruther/home/fonts.scm:8:2
>> guix home: error: unshare: 268566528: Invalid argument
>
> What’s weird is that this seems to happen even before activation.
>
> I cannot audit the whole thing but apparently something in the config
> tries to connect to the outside:
>
> --8<---------------cut here---------------start------------->8---
> <x home container -L home/modules home/home-configuration.scm                        
> Updating channel 'guix' from Git repository at 'https://codeberg.org/guix/guix-mirror'...
> guix home: error: failed to load 'home/home-configuration.scm':
> web/client.scm:338:10: In procedure open-socket-for-uri:
> In procedure getaddrinfo: Servname not supported for ai_socktype
> --8<---------------cut here---------------end--------------->8---

So this is after the build? I have added inferiors recently for using
Emacs 30, that would explain it before build, but after build I am
clueless why that would happen. Though if it's before build, I am
surprised you got an error like that, unless you were purposefully in
environment without network. I added the inferiors just yesterday,
commit 819ee341ab6bcc9846b099572af185c781b82a1d shouldn't be downloading
anything.

>
> Probably use of ‘current-guix’?
>
> Anyway, do you think you could boil it down to a minimal reproducer?

I will definitely try to, but probably not today, in a few days,
hopefully by the end of the week.

> Thanks,
> Ludo’.